clang 8.0.0

Functions
ExprCXX.cpp File Reference
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Attr.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclAccessPair.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/DeclarationName.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/LambdaCapture.h"`
`#include "clang/AST/NestedNameSpecifier.h"`
`#include "clang/AST/TemplateBase.h"`
`#include "clang/AST/Type.h"`
`#include "clang/AST/TypeLoc.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/OperatorKinds.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/Specifiers.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include <cassert>`
`#include <cstddef>`
`#include <cstring>`
`#include <memory>`
Include dependency graph for ExprCXX.cpp:

Go to the source code of this file.

## Functions
static bool | hasOnlyNonStaticMemberFunctions (UnresolvedSetIterator begin, UnresolvedSetIterator end)

## Function Documentation

## ◆ hasOnlyNonStaticMemberFunctions()

static bool hasOnlyNonStaticMemberFunctions | ( | UnresolvedSetIterator | begin,
|  | UnresolvedSetIterator | end
| ) |  |
| static

Definition at line 1385 of file ExprCXX.cpp.

References clang::ASTContext::BoundMemberTy, clang::Expr::containsUnexpandedParameterPack(), clang::Type::containsUnexpandedParameterPack(), clang::ast_matchers::decl, clang::Decl::getAsFunction(), clang::NamedDecl::getUnderlyingDecl(), clang::Type::isDependentType(), clang::Expr::isInstantiationDependent(), clang::Type::isInstantiationDependentType(), and clang::Expr::isTypeDependent().